Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Interface PlaceholderService

All Superinterfaces:
  EJBObject, Remote

public interface PlaceholderService
extends EJBObject

The remote bean interface for the PlaceholderService.

A placeholder is a named location in some page and is represented by the PlaceholderTag. The primary function of the placeholder service is to return content to the PlaceholderTag when it is viewed. This content is based upon the type of the placeholder, and user information.

Method Summary
`String` | `getContent(String name, String userId, String servletBase, Request request, int height, int width)` Return the content for the requested placeholder.
`Collection` | `getDeployedPlaceholderURIs()` Get the list of placeholder uris currently deployed in this service.
`String` | `getPreviewSlot(long previewId)` Deprecated. No longer used.
`String` | `getPreviewSlotQuery(long previewId, String userId)` Deprecated. No longer used.
`Collection` | `previewContent(long previewId, String userId, String servletBase, String phType)` Deprecated. No longer used.
`Collection` | `previewContent(String query, String servletBase, String phType, boolean renderContent)` Return a collection of PreviewInfo structures which match all of the content for the query.
`void` | `removePreviewSlot(long previewId)` Deprecated. No longer used.
`long` | `setPreviewSlot(String xmlQuery)` Deprecated. No longer used.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContent

    public String getContent(String name,
                             String userId,
                             String servletBase,
                             Request request,
                             int height,
                             int width)
                      throws RemoteException,
                             ContentException

  Return the content for the requested placeholder.

  Parameters:
    `name` - The name of the placeholder
    `userId` - The user id
    `servletBase` - A URL base that is used to find the ClickThru and ShowDocServlet
    `request` - The http request
    `height` - The requested height of the content
    `width` - The requested width of the content
  Returns:
    an XML String representing the content.
  Throws:
    `ContentException` - thrown when there is a failure to obtain the content
    `RemoteException`

### getDeployedPlaceholderURIs

    public Collection getDeployedPlaceholderURIs()
                                          throws RemoteException,
                                                 ContentException

  Get the list of placeholder uris currently deployed in this service.

  Throws:
    `RemoteException`
    `ContentException`

### getPreviewSlot

    public String getPreviewSlot(long previewId)
                          throws RemoteException,
                                 ContentException

  Deprecated. No longer used.

  Get a preview slot's XML query.

  Throws:
    `RemoteException`
    `ContentException`

### getPreviewSlotQuery

    public String getPreviewSlotQuery(long previewId,
                                      String userId)
                               throws RemoteException,
                                      ContentException,
                                      ProfileNotFoundException,
                                      IllegalArgumentException

  Deprecated. No longer used.

  Get a preview slot's XML query as a content query, with any property references filled out.

  Returns:
    the content query on success, null on invalid information.
  Throws:
    `RemoteException`
    `ContentException`
    `ProfileNotFoundException`
    `IllegalArgumentException`

### previewContent

    public Collection previewContent(long previewId,
                                     String userId,
                                     String servletBase,
                                     String phType)
                              throws RemoteException,
                                     ContentException

  Deprecated. No longer used.

  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters:
    `previewId` - the id of the preview slot containing the query
    `userId` - the id of the user to preview as
    `servletBase` - the base URI of the webapp to preview in
    `phType` - the placeholder type (Ad, ContentSelector)
  Throws:
    `RemoteException`
    `ContentException`
  See Also:
    `getPreviewSlot(long)`

### previewContent

    public Collection previewContent(String query,
                                     String servletBase,
                                     String phType,
                                     boolean renderContent)
                              throws RemoteException,
                                     ContentException

  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters:
    `query` - the content query to preview
    `servletBase` - the base URI of the webapp to preview in
    `phType` - the placeholder type (Ad, ContentSelector)
    `renderContent` - true to include the rendering content in the preview, false to not.
  Throws:
    `RemoteException`
    `ContentException`

### removePreviewSlot

    public void removePreviewSlot(long previewId)
                           throws RemoteException,
                                  ContentException

  Deprecated. No longer used.

  Remove a preview slot

  Throws:
    `RemoteException`
    `ContentException`

### setPreviewSlot

    public long setPreviewSlot(String xmlQuery)
                        throws RemoteException,
                               ContentException

  Deprecated. No longer used.

  Create a preview slot.

  Throws:
    `RemoteException`
    `ContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved